import React__default,{useState}from'react';import {MinusOutlined,CaretRightFilled,PauseOutlined,DownOutlined,UpOutlined}from'@ant-design/icons';import {get}from'lodash';import {Button,Select,Typography}from'antd';import {useFela}from'react-fela';import {styleSheet}from'./style.js';import {useGetProjectsQuery}from'@admin-layout/timetracker-core/lib/generated/react-hooks';const WidgetMaximized = (props) => {
    const { css } = useFela();
    const { Text } = Typography;
    const { Option } = Select;
    const { onTrack, onMinimize, trackStarted, hidden, timeDuration } = props;
    const [expanded, setExpanded] = useState(true);
    const { data: projectsData, loading: loadingProjects } = useGetProjectsQuery();
    const projects = get(projectsData, 'getProjects', []);
    return (React__default.createElement("div", { hidden: hidden, className: css(styleSheet.container) },
        React__default.createElement("div", { className: css(styleSheet.headerTools) },
            React__default.createElement(Button, { shape: "circle", icon: React__default.createElement(MinusOutlined, null), size: "small", onClick: onMinimize, style: { marginLeft: '30px', border: 'none' } })),
        React__default.createElement("div", { className: css(styleSheet.timerHandles) },
            React__default.createElement(Button, { type: "primary", shape: "circle", size: 'large', icon: !trackStarted ? React__default.createElement(CaretRightFilled, null) : React__default.createElement(PauseOutlined, null), onClick: onTrack, style: { marginRight: '30px' } }),
            React__default.createElement(Text, { className: "timer-text" }, timeDuration)),
        React__default.createElement("div", { className: css(styleSheet.filters), hidden: !expanded },
            React__default.createElement(Select, { className: "select-project", placeholder: "Select a project" }, projects.map((project) => (React__default.createElement(Option, { key: project.id, value: "1" }, project.name)))),
            React__default.createElement(Select, { className: "select-to-do", placeholder: "Select a to do" },
                React__default.createElement(Option, { key: "0", value: "2" }, "Task 1"),
                React__default.createElement(Option, { key: "1", value: "3" }, "Task 2"),
                React__default.createElement(Option, { key: "2", value: "4" }, "Task 3"))),
        React__default.createElement("div", { className: css(styleSheet.expandToggle) },
            React__default.createElement(Button, { type: "default", shape: "circle", size: 'small', icon: !expanded ? React__default.createElement(DownOutlined, null) : React__default.createElement(UpOutlined, null), onClick: () => setExpanded(!expanded), style: { border: 'none' } }))));
};export default WidgetMaximized;//# sourceMappingURL=index.js.map
